ru.bitel.bgbilling.modules.hd.common.bean

## Class PackageConst

- java.lang.Object
- - ru.bitel.bgbilling.modules.hd.common.bean.PackageConst

-     public class PackageConst
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `HOST_DOMAIN_TYPE_THIS_SERVICE`
    `static int` | `HOSTING_HOST_TYPE_ALL`
    `static int` | `HOSTING_HOST_TYPE_THIS_SERVICE`
    `static int` | `NS_DOMAIN_TYPE_ALL`
    `static int` | `NS_DOMAIN_TYPE_THIS_SERVICE`
    `static int` | `NS_TYPE_USER_MAN`
    `static int` | `NS_TYPE_USER_OPT`
    `static int` | `TYPE_AUTO`
    `static int` | `TYPE_WITH_CHECK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageConst()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS_DOMAIN_TYPE_THIS_SERVICE

          public static final int NS_DOMAIN_TYPE_THIS_SERVICE

      See Also:
        Constant Field Values

    - #### NS_DOMAIN_TYPE_ALL

          public static final int NS_DOMAIN_TYPE_ALL

      See Also:
        Constant Field Values

    - #### HOST_DOMAIN_TYPE_THIS_SERVICE

          public static final int HOST_DOMAIN_TYPE_THIS_SERVICE

      See Also:
        Constant Field Values

    - #### HOSTING_HOST_TYPE_THIS_SERVICE

          public static final int HOSTING_HOST_TYPE_THIS_SERVICE

      See Also:
        Constant Field Values

    - #### HOSTING_HOST_TYPE_ALL

          public static final int HOSTING_HOST_TYPE_ALL

      See Also:
        Constant Field Values

    - #### TYPE_AUTO

          public static final int TYPE_AUTO

      See Also:
        Constant Field Values

    - #### TYPE_WITH_CHECK

          public static final int TYPE_WITH_CHECK

      See Also:
        Constant Field Values

    - #### NS_TYPE_USER_MAN

          public static final int NS_TYPE_USER_MAN

      See Also:
        Constant Field Values

    - #### NS_TYPE_USER_OPT

          public static final int NS_TYPE_USER_OPT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PackageConst

          public PackageConst()